osCommerce France : Accueil Forum Portail osCommerce France Réponses aux questions Foire aux contributions

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> Problème très ancienne creload et PHP supérieur à 5.3
CathyMini
posté 4 Dec 2016, 12:22
Message #1


Ceinture jaune OSC
Icône de groupe

Groupe : Membres
Messages : 55
Inscrit : 25-March 05
Lieu : Bruxelles
Membre no 5273



Bjr,

Cela fait quelques années que je ne suis plus passée sur ce forum étant donné que tout fonctionnait très bien. Le site de vente en ligne a été mis en place il y a une dizaine d'années sur base de la creload de ce forum, on y a ajouté plein de contributions et modification pour en faire un outil de travail simple et performant, bien que peu sécurisé mais on passe par une surveillance externe pour ça. Il est hébergé sur un serveur dédié de OVH depuis 2009 car la base devenait trop imposante pour un mutualité. J'ai pris un serveur plus récent et essayé de transférer site et base de données, mais OVH ne proposant que des versions de PHP récentes, donc sans register globale. Est-il possible d'adapter mon site pour qu'il fonctionne sans ? Une solution d'émulation ? Un code avec des super Globales ? Une crelaod actualisée existe-t-elle ? Ou est-il simplement possible d'installer une ancienne version de PHP 5.2 sur un serveur OVH ? Ce site c'est 10 ans de ma vie et je n'ai pas envie de tout recommencer à zéro parce que OVH à décidé que les versions antérieures à 5.5 sont obsolètes. Avez-vous des héberger sérieux à me conseiller qui permettent encore l'utilisation de PHP 5.2 et ce pour encore quelques années.


--------------------
CathyMini[COLOR=purple]
Go to the top of the page
 
Havock
posté 5 Dec 2016, 09:08
Message #2


Ceinture bleue OSC
Icône de groupe

Groupe : Membres
Messages : 894
Inscrit : 4-February 04
Membre no 1926



Bonjour CathyMini,

Il est tout-à-fait possible (bien que ce soit long et fastidieux) d'upgrader une vieille version d'oscommerce pour la rendre compatible avec des version plus récentes de php. Les posts sur ce sujet ne manquent pas sur ce forum (et les upgrades doivent globalement êtres similaires à ceux que tu dois effectuer sur la Creload).
Certains sur le foum US préconisent de passer directement à une version responsive, récente, mais dans le cas de boutiques fortement modifiées ce n'est pas forcément une solution optimale (il faut adapter toutes les modifs et contributions installées).

Je ne connais pas tous les hébergeurs (loin de là) mais il est probable que la majorité ne voudront pas de PHP 5.2 pour des raisons de sécurité. Après ; tu peux peut-être discuter avec eux pour voir ce qu'ils acceptent. As-tu essayé Icodia (l'hébergeur de ce forum) ? Ils ont une bonne réputation et une taille humaine smile.gif


--------------------
L'indispensable est en cours de traitement,
L'urgent sera traité demain,
Le normal sera traité plus tard,
Le reste on vera ...
En conclusion : les journées sont trop courtes.
Utilisateur de MS2.2 Max 1.5 - OSC-Affiliate 1.09 - Admin With Access Levels 2.1 - Meta Tag Controller/ Generator - Credit/Gift Voucher/Coupons 5.05 - Download Controller v5.3 - X-Sell MS2 - WYSIWYG HTML Editor for Admin 1.7 - Dynamic Mo Pics - Loginbox Best - Order logging before payment processing - User Tracking - Faster Page Loads, Less DB queries - Plus plein de modifs perso :-)
Go to the top of the page
 
Bonbec
posté 5 Dec 2016, 09:23
Message #3


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1325
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

La version creload n'est plus soutenue sur ce forum.
Comme l'a dit Havock, il y a plusieurs topics qui parlent du passage aux versions supérieures de Php pour OsCommerce. Ces topics devraient déjà t'être d'une grande aide.

Concernant les hébergeurs, le mien (o2switch) en mutualisé accepte les versions suivantes de Php :
- 4.4
- 5.1
- 5.2
- 5.3
- 5.4
- 5.5 (version par défaut, mais çà se change dans le cpanel)
- 5.6
- 7.0
- 7.1
J'ai un site OsCommerce dessus (celui qui figure dans mon profil) et un site non commercial sur le ferroviaire. J'en suis très content. Je suis passé par Online, Infomaniak, et LWS auparavant et la meilleure assistance, tant compétence que rapidité de réponse, va à o2switch. Je n'ai jamais testé OVH ni ICODIA, donc je ne peux pas comparer avec.
N'hésite pas à poser des questions auprès des hébergeurs qui sont susceptibles de t'intéresser et évalue la pertinence et la rapidité de réponse.


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
CathyMini
posté 5 Dec 2016, 21:35
Message #4


Ceinture jaune OSC
Icône de groupe

Groupe : Membres
Messages : 55
Inscrit : 25-March 05
Lieu : Bruxelles
Membre no 5273



Bonjour et merci pour vos réponses.

Quelques jours de travail intensif plupard, ça fonctionne. J'ai ajouté plein d'add-ons à plesk et une version 5.2.17 de PHP est apparue (à mon avis suite à l'ajout d'un éditeur de site comme présence builder ou...). Le htaccess pour forcer le register globale ne fonctionne pas, cela donne une erreur sur le folder. J'ai néanmoins pu forcer le register globals. Mais impossible de se logger sous l'administration panel, donc j'ai comparé les 2 version de PHP.ini et modifier les variables. Et ça fonctionne. Reste encore à figer ces variables, mais là je vais devoir demander l'aide d'un programmateur. Pour la suite, je vais m'attaquer à la nouvelle creaload pro en essayant d'ajouter la plupart des modules super pratique comme le batch print pdf, la mise à jour rapide, voir un article commandé depuis la commande en admin, comment bar, etc... En espérant que c'est faisable.



--------------------
CathyMini[COLOR=purple]
Go to the top of the page
 

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



RSS Version bas débit Nous sommes le : 22nd November 2017 - 04:29
Ce site est déclaré auprès de la commision Nationale
de l'Informatique et des Libertés (déclaration n°: 1043896)